org.apache.ode.bpel.iapi

## Class Scheduler.JobDetails

- java.lang.Object
- - org.apache.ode.bpel.iapi.Scheduler.JobDetails

- Enclosing interface:
    Scheduler

      public static class Scheduler.JobDetails
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `channel`
    `java.lang.String` | `correlationKeySet`
    `java.lang.String` | `correlatorId`
    `java.util.Map<java.lang.String,java.lang.Object>` | `detailsExt`
    `java.lang.Boolean` | `inMem`
    `java.lang.Long` | `instanceId`
    `java.lang.String` | `mexId`
    `java.lang.String` | `processId`
    `java.lang.Integer` | `retryCount`
    `java.lang.String` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Scheduler.JobDetails()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getChannel()`
    `CorrelationKeySet` | `getCorrelationKeySet()`
    `java.lang.String` | `getCorrelatorId()`
    `java.util.Map<java.lang.String,java.lang.Object>` | `getDetailsExt()`
    `java.lang.Boolean` | `getInMem()`
    `java.lang.Long` | `getInstanceId()`
    `java.lang.String` | `getMexId()`
    `javax.xml.namespace.QName` | `getProcessId()`
    `java.lang.Integer` | `getRetryCount()`
    `Scheduler.JobType` | `getType()`
    `void` | `setChannel(java.lang.String channel)`
    `void` | `setCorrelationKeySet(CorrelationKeySet correlationKeySet)`
    `void` | `setCorrelatorId(java.lang.String correlatorId)`
    `void` | `setDetailsExt(java.util.Map<java.lang.String,java.lang.Object> detailsExt)`
    `void` | `setInMem(java.lang.Boolean inMem)`
    `void` | `setInstanceId(java.lang.Long instanceId)`
    `void` | `setMexId(java.lang.String mexId)`
    `void` | `setProcessId(javax.xml.namespace.QName processId)`
    `void` | `setRetryCount(java.lang.Integer retryCount)`
    `void` | `setType(Scheduler.JobType type)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### instanceId

          public java.lang.Long instanceId

    - #### mexId

          public java.lang.String mexId

    - #### processId

          public java.lang.String processId

    - #### type

          public java.lang.String type

    - #### channel

          public java.lang.String channel

    - #### correlatorId

          public java.lang.String correlatorId

    - #### correlationKeySet

          public java.lang.String correlationKeySet

    - #### retryCount

          public java.lang.Integer retryCount

    - #### inMem

          public java.lang.Boolean inMem

    - #### detailsExt

          public java.util.Map<java.lang.String,java.lang.Object> detailsExt

  - ### Constructor Detail

    - #### Scheduler.JobDetails

          public Scheduler.JobDetails()

  - ### Method Detail

    - #### getInMem

          public java.lang.Boolean getInMem()

    - #### setInMem

          public void setInMem(java.lang.Boolean inMem)

    - #### getMexId

          public java.lang.String getMexId()

    - #### setMexId

          public void setMexId(java.lang.String mexId)

    - #### getProcessId

          public javax.xml.namespace.QName getProcessId()

    - #### setProcessId

          public void setProcessId(javax.xml.namespace.QName processId)

    - #### getType

          public Scheduler.JobType getType()

    - #### setType

          public void setType(Scheduler.JobType type)

    - #### getChannel

          public java.lang.String getChannel()

    - #### setChannel

          public void setChannel(java.lang.String channel)

    - #### getCorrelatorId

          public java.lang.String getCorrelatorId()

    - #### setCorrelatorId

          public void setCorrelatorId(java.lang.String correlatorId)

    - #### getCorrelationKeySet

          public CorrelationKeySet getCorrelationKeySet()

    - #### setCorrelationKeySet

          public void setCorrelationKeySet(CorrelationKeySet correlationKeySet)

    - #### getRetryCount

          public java.lang.Integer getRetryCount()

    - #### setRetryCount

          public void setRetryCount(java.lang.Integer retryCount)

    - #### getInstanceId

          public java.lang.Long getInstanceId()

    - #### setInstanceId

          public void setInstanceId(java.lang.Long instanceId)

    - #### getDetailsExt

          public java.util.Map<java.lang.String,java.lang.Object> getDetailsExt()

    - #### setDetailsExt

          public void setDetailsExt(java.util.Map<java.lang.String,java.lang.Object> detailsExt)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`